/* $Id$

This file is part of NetVis
Copyright @ 2008 Mikko Rasa, Mikkosoft Productions
Distributed unter the GPL
*/

#ifndef PORT_H_
#define PORT_H_

#include <string>
#include <msp/gl/color.h>
#include <msp/gl/mesh.h>

class NetVis;

class Port
{
private:
	NetVis &netvis;
	unsigned number;
	std::string name;
	Msp::GL::Color color;
	Msp::GL::Mesh mesh;

public:
	Port(NetVis &, unsigned);

	unsigned get_number() const { return number; }
	const std::string &get_name() const { return name; }
	const Msp::GL::Color &get_color() const { return color; }

	void render() const;
};

#endif
